Subject: Re: Liver detoxifiers

From: [email-masked] (NAKAMURA TAMMIE K)
Date: 11 Apr 1995 23:42:35 -0600

[email-masked] (Bradley Freilich) writes:

>In article <[email-masked]>, [email-masked] (gwen baker) says:
>>
>>Does anyone know of a good selection of herbs touse to treat liver problems
>>like Hepatitis C?  Please email with any suggestions.
>>
>>Gwen Baker
>>Victorian Scented Beads
>>[email-masked]
>-Milk Thistle is said to have renewing effects
> on the liver. Since I've been taking it my doctor 
>tells me my liver enzymes appear at normal levels,
>but the've varied before.
>-Licorice root was also spoken of in this newsgroup.
>I've hesitated from taking it because of a reference
>I've heard of it raising blood pressure. I've already 

Try burdoc root.......have a couple of friends that contracted hepatitis
and had terrific results